package de.champonthis.buntspecht.i18n.model;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Lob;
import jakarta.persistence.Table;
import jakarta.persistence.UniqueConstraint;


@Entity
@Table(name = "i18n", uniqueConstraints = @UniqueConstraint(columnNames = { "locale" }))
public class I18n {

	@Id
	@Column(name = "locale", unique = true, nullable = false)
	private String locale;

	@Lob
	@Column(name = "label", length = 100000)
	private String label;

	
	public String getLocale() {
		return locale;
	}

	
	public void setLocale(String locale) {
		this.locale = locale;
	}

	
	public String getLabel() {
		return label;
	}

	
	public void setLabel(String label) {
		this.label = label;
	}

}
